Log in or register to post comments

Still getting errors with Core Samples

December 10, 2019 - 1:05pm #1

I've checked the previous posts stating that the compatibility problems between the Vuforia engine and the core samples have been addressed in the new releases, but I'm still getting the same set of errors every time I import the core samples. I'm using the following setup:

Unity 2019.3.0f1 (Mac OS)

Vuforia 8.5.9 (installed via package manager)

Core Samples 8.5.1 (installed through asset store)

The errors are all some version of the following: 

Library/PackageCache/com.ptc.vuforia.engine@8.5.9/Vuforia/Scripts/Internal/RuntimeOpenSourceInitializer.cs(36,20): error CS0246: The type or namespace name 'IUnityRenderPipeline' could not be found (are you missing a using directive or an assembly reference?)

I installed Vuforia through the package manager and it says that I have 8.5.9 installed. However, when I import the samples, a file appears under "Assets > Vuforia > Version" that reads "8.1.11." Is an older version of Vuforia getting installed somehow with the samlpes?

I've tried older versions of Unity to no avail. Any help is much appreciated.

Thanks

 

 

Still getting errors with Core Samples

December 12, 2019 - 3:17pm #3

I didn't realize I could update the Core Samples from the package manager window by switching to "My Assets." Just updated to 8.6.7 and everything is working. Thanks for your help!

Still getting errors with Core Samples

December 12, 2019 - 12:57am #2

Hi,

As per your issue, there is mismatch between the CoreSample apps and the SDK Version. If there is a mismatch you will get those errors.

It is strange that you got an older version of the CoreSample apps downloaded through the Asset store.

Could you please create a new project and try to download the Core sample apps again? Please note that currently the core sample apps have been updated to 8.6.7 and you will need to also upgrade the SDK version. steps on how to are described here: https://library.vuforia.com/content/vuforia-library/en/articles/Solution/vuforia-engine-package-hosting-for-unity.html

Thank you.

Vuforia Engine Support

Log in or register to post comments